from peewee import PostgresqlDatabase, Model, CharField

db = PostgresqlDatabase(
        database='hsech',
        user='api'
)

boards = [
	('/lyc/', 'Лицей НИУ ВШЭ'),
	('/fdp/', 'Факультет довузовской подготовки'),
	('/math/', 'Факультет математики'),
	('/e/', 'Факультет экономических наук'),
	('/miem/', 'Московский институт электроники и математики им. А.Н. Тихонова'),
	('/cs/', 'Факультет компьютерных наук'),
	('/bm/', 'Факультет бизнеса и менеджмента'),
	('/law/', 'Факультет права'),
	('/hum/', 'Факультет гуманитарных наук'),
	('/soc/', 'Факультет социальных наук'),
	('/cmd/', 'Факультет коммуникаций, медиа и дизайна'),
	('/we/', 'Факультет мировой экономики и мировой политики'),
	('/ph/', 'Факультет физики'),
	('/icef/', 'Международный институт экономики и финансов'),
	('/urb/', 'Факультет городского и регионального развития'),
	('/chem/', 'Факультет химии'),
	('/bio/', 'Факультет биологии и биотехнологии'),
	('/geo/', 'Факультет географии и геоинформационных технологий'),
	('/lang/', 'Школа иностранных языков'),
]


class Board(Model):
	code = CharField(primary_key=True)
	name = CharField()

	class Meta:
		database = db


def create_boards():
	db.connect()
	db.create_tables([Board])
	for code, name in boards:
		Board.create(code=code, name=name)
	db.close()


if __name__ == '__main__':
	create_boards()
